/*
 * Copyright (C) 2003-2007 Funambol, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */
package com.funambol.syncclient.javagui;

import java.util.Comparator;

/**
 * Contact comparator.
 * <br/>
 * Compares contacts using displayName
 * <br/>
 *
 * @version $Id: ContactComparator.java,v 1.6 2007/06/18 10:11:39 luigiafassina Exp $
 */
public class ContactComparator implements Comparator {

    // ------------------------------------------------------------- Constructor
    /**
     * Creates a new ContactComparator.
     */
    public ContactComparator() {}

    // ---------------------------------------------------------- Public methods

    /**
     * Compares its two arguments for order.
     *
     * @param o1 the first object to be compared.
     * @param o2 the second object to be compared.
     * @return a negative integer, zero, or a positive integer as the first
     *         argument is less than, equal to, or greater than the second.
     */
    public int compare(Object o1, Object o2) {

        String value1 = null;
        String value2 = null;

        value1 = ((DemoContact)o1).getContact().getName()
                                  .getDisplayName().getPropertyValueAsString();

        value2 = ((DemoContact)o2).getContact().getName()
                                  .getDisplayName().getPropertyValueAsString();


        if (value1 == null) {

            value1 = ((DemoContact)o1).getContact().getName()
                                .getLastName().getPropertyValueAsString();

            if (value1 != null && !value1.equals("")) {
                value1 += ",";
            }

            value1 += ((DemoContact)o1).getContact().getName()
                                .getFirstName().getPropertyValueAsString();

            if (value1 == null) {
                value1 = "";
            }

        }

        if (value2 == null) {

            value2 =((DemoContact) o2).getContact().getName()
                                .getLastName().getPropertyValueAsString();

            if (value2 != null && !value2.equals("")) {
                value2 += ",";
            }

            value2 += ((DemoContact) o2).getContact().getName()
                                .getFirstName().getPropertyValueAsString();

            if (value2 == null) {
                value2 = "";
            }
        }
        return (value1.toUpperCase()).compareTo(value2.toUpperCase());
    }

}
