/*
 * Copyright (C) 2003-2007 Funambol, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */

package com.funambol.syncclient.javagui;

import java.util.Hashtable;
import java.util.Locale;
import java.util.ResourceBundle;

/**
 * Provide methods to dictionary language
 *
 *
 * @version $Id: Language.java,v 1.5 2007/06/18 10:11:40 luigiafassina Exp $
 */
public class Language {

    //---------------------------------------------------------- Constants

    public final static String LANGUAGE_FILE    = "resources/language_us" ;
    public final static Locale LANGUAGE_LOCALE  = Locale.US               ;

    //---------------------------------------------------------- Private data

     /** language words */
    private static Hashtable languageHash = new Hashtable();

    //---------------------------------------------------------- Public methods

    public static String getString (String key) {

        ResourceBundle  rb            = null ;
        Object          valueFromHash = null ;
        String          value         = null ;

        valueFromHash = languageHash.get(key);

        if (valueFromHash != null) {
            return (String) valueFromHash;
        }

        rb = ResourceBundle.getBundle(LANGUAGE_FILE, LANGUAGE_LOCALE);

        value = rb.getString(key);

        languageHash.put(key, value);

        return value;

    }

    //---------------------------------------------------------- Private methods
}
